Developer Documentation

Public Types | Public Member Functions | Static Public Member Functions | List of all members
OpenMesh::Concepts::MeshItems::FaceT< Refs_ > Class Template Reference

`#include <OpenFlipper/libs_required/OpenMesh/Doc/Concepts/MeshItems.hh>`

## Public Types
typedef Refs_ | Refs
| Re-export the template argument Refs. This must be done!
typedef GenProg::TagTrue | IsTriangle

## Public Member Functions
unsigned char | n_vertices () const
| Get the number of vertices of this face.
void | set_n_vertices (unsigned char _n)
HalfedgeHandle | halfedge_handle () const
| Get a halfedge that belongs to this face.
void | set_halfedge_handle (HalfedgeHandle _eh)

## Static Public Member Functions
static bool | is_triangle ()
| Run-time test: is this face a triangle?

## Detailed Description

### template<class Refs_>
class OpenMesh::Concepts::MeshItems::FaceT< Refs_ >

Interface for the internal face type. This minimal interface must be provided by every face. It's up to the mesh kernel (or the items used by the mesh kernel) to implement it.

All methods marked as internal should only be used by the mesh kernel.

Definition at line 171 of file MeshItems.hh.

## Member Typedef Documentation

## ◆ IsTriangle

template<class Refs_ >

typedef GenProg::TagTrue OpenMesh::Concepts::MeshItems::FaceT< Refs_ >::IsTriangle

Compile-time-tag: is this face a triangle? Should be typedef'ed to either GenProg::TagTrue or GenProg::TagFalse

Definition at line 180 of file MeshItems.hh.

## Member Function Documentation

## ◆ set_halfedge_handle()

template<class Refs_ >

void OpenMesh::Concepts::MeshItems::FaceT< Refs_ >::set_halfedge_handle | ( | HalfedgeHandle | _eh | ) |

Set a halfedge that belongs this face.

## ◆ set_n_vertices()

template<class Refs_ >

void OpenMesh::Concepts::MeshItems::FaceT< Refs_ >::set_n_vertices | ( | unsigned char | _n | ) |

Set the number of vertices of this face.

The documentation for this class was generated from the following file:

- OpenFlipper/libs_required/OpenMesh/Doc/Concepts/MeshItems.hh